package com.hz.pm.api.projectdeclared.model.req;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * <p>
 * PurchaseAdaptionListReq
 * </p>
 *
 * @author WendyYang
 * @since 14:49 2024/3/27
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class PurchaseAdaptionListReq extends PagePo {

    private String bidName;

    @ApiModelProperty("标段状态")
    private Integer status;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createOnMin;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createOnMax;

    private Boolean display;

}
